* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	list-style: none;
	text-decoration: none;
}

a {
	color: #333333;
}

a:hover {
	color: black;
}

.cartLink {
	color: gold;
}

body {
	background-color: #eeeeee;
}

header {
	width: 100%;
	height: 40px;
	background-color: #333333;
}

header *,
nav * {
	transition: all .2s;
}

header ul {
	padding: 0 20px;
	font-size: 14px;
	display: flex;
	justify-content: flex-end;
}

header li {
	/* width: 50px;
	height: 40px; */
	float: left;
	line-height: 40px;
	padding: 0 10px;
	color: #ccc;
}

header li:hover {
	color: white;
	cursor: pointer;
}

header li:last-child:hover {
	background-color: #eeeeee;
	color: #333333;
}

#student-info {
	float: left;
	width: 30%;
	color: yellow;
	padding: 7px;
}

nav {
	width: 100%;
	height: 80px;
	line-height: 80px;
	color: #333333;
	background-color: white;
	box-shadow: 0px 1px 3px #666666;
}

nav ul {
	width: 1140px;
	margin: 0 auto;
}

nav li {
	float: left;
	padding: 0 20px;
}

nav li:last-child {
	float: right;
}

nav input {
	width: 200px;
	height: 30px;
}

nav button {
	width: 40px;
	height: 30px;
	background-color: #ccc;
	color: #333333;
	border: none;
}

nav button:hover {
	background-color: #333333;
	color: #ccc;
}

nav li:hover {
	color: black;
	cursor: pointer;
	text-shadow: 0px 0px 8px darkslategray;
}

.container {
	width: 1140px;
	margin: 3px auto;
}

footer {
	width: 100%;
	height: 50px;
	line-height: 50px;
	text-align: center;
	background-color: black;
	color: #ccc;
	margin-top: 10px;
}

.modal {
	--gsmh: 10px;
	width: 300px;
	height: 250px;
	top: 100px;
	/* background-color: rgba(227, 227, 227, 0.295); */
	backdrop-filter: blur(var(--gsmh));
	transition: backdrop-filter .5s;
}

.modal:hover {
	--gsmh: 20px;
}

.modalTitle {
	display: flex;
	text-align: center;
	padding: 10px 0;
}

.modalTitle h3 {
	width: 90%;
}

.modalTitle p {
	width: 10%;
	cursor: pointer;
}

.modal input {
	width: 80%;
	height: 36px;
	margin: 10px 10%;
	padding: 6px;
	border-radius: 10px;
	outline: none;
	border: #686868 1px solid;
	background-color: #fff;
	transition: background-color .3s, box-shadow .2s;
}

.modal input:focus {
	background-color: #d1edfc;
}

.modal input:hover {
	box-shadow: #333 0 0 10px 1px;
}

.modal button {
	width: 80%;
	height: 30px;
	margin: 20px 10%;
	border: none;
	border-radius: 10px;
	background-color: #0000e8;
	color: white;
	font-size: 14px;
	transition: background-color .3s, font-size .1s;
}

.modal button:hover {
	background-color: #00005c;
	font-size: 12px;
	cursor: pointer;
}

#winLogin {
	display: none;
}

#winRegist {
	display: none;
	height: 280px;
}

#winMsg {
	--bgColer: green;
	width: 280px;
	line-height: 20px;
	padding: 15px 10px;
	top: 20px;
	font-size: 14px;
	color: #333333;
	z-index: 91;
	border-color: rgba(255, 255, 255, 0.673);
	border-radius: 6px;
	opacity: 0;
	pointer-events: none;
}

@keyframes tc_dh_start {

	0% {
		top: -10px;
		opacity: 0;
	}

	100% {
		top: 20px;
		opacity: 1;
	}
}

@keyframes tc_dh_end {

	0% {
		top: 20px;
		opacity: 1;
	}

	100% {
		top: -10px;
		opacity: 0;
	}

}


.winMsg_transition {
	--dh_time_strat: 0.26s;
	--dh_time: 1s;
	animation:
		tc_dh_start var(--dh_time_strat) ease-in forwards,
		tc_dh_end var(--dh_time_strat) ease-in calc(var(--dh_time_strat) + var(--dh_time)) forwards;
}

#winMsg span {
	position: relative;
	display: inline-block;
	width: 19px;
	height: 19px;
	border-radius: 50%;
	background-color: var(--bgColer);
	color: white;
	margin-right: 10px;
	top: 3px;
}

#msgText {
	padding: 10px 30px;
}

#Login {
	--coler: #04b427;
}

.cola {
	color: var(--coler);
}